Bug 133740 - ip_conntrack gives mini-oops
ip_conntrack gives mini-oops
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-26 23:33 EDT by Stephen John Smoogen
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-21 19:28:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2004-09-26 23:33:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
Doing a 

cat /proc/net/ip_conntrack

causes output and then in dmesg a line about:

Debug: sleeping function called from invalid context at mm/slab.c:2046
in_atomic():1[expected: 0], irqs_disabled():0
 [<0211c50c>] __might_sleep+0x7d/0x89
 [<02147a12>] kmem_cache_alloc+0x1d/0x4c
 [<22a200b8>] ct_seq_start+0x3c/0x50 [ip_conntrack]
 [<02187457>] seq_read+0xcb/0x23e
 [<02161697>] vfs_read+0xb6/0xe2
 [<021618aa>] sys_read+0x3c/0x62
bad: scheduling while atomic!
 [<022f7159>] schedule+0x2d/0x59b
 [<02106542>] dump_stack+0x11/0x13
 [<0211c50c>] __might_sleep+0x7d/0x89
 [<02147a17>] kmem_cache_alloc+0x22/0x4c
 [<22a200b8>] ct_seq_start+0x3c/0x50 [ip_conntrack]
 [<02187457>] seq_read+0xcb/0x23e
 [<02161697>] vfs_read+0xb6/0xe2
 [<021618aa>] sys_read+0x3c/0x62



Version-Release number of selected component (if applicable):
kernel-2.6.8-1.541

How reproducible:
Always

Steps to Reproduce:
1. install default system
2. cat /proc/net/ip_conntrack
3. dmesg
    

Actual Results:  lines about scheduling not working

Expected Results:  no output

Additional info:
Comment 1 Dave Jones 2004-11-20 15:25:00 EST
fixed in latest updates ?
Comment 2 Stephen John Smoogen 2004-11-21 19:27:39 EST
Fixed in latest kernel kernel-2.6.9-1.678_FC3. maybe fixed earlier.

Sorry for not updating sooner.

Note You need to log in before you can comment on or make changes to this bug.